NX Open C++ Reference Guide
|
Represents a @link Annotations::TargetPoint Annotations::TargetPoint@endlink builder <br> To create a new instance of this class, use @link Annotations::TargetPointCollection::CreateTargetPointBuilder Annotations::TargetPointCollection::CreateTargetPointBuilder @endlink <br>
Default values. More...
Public Types | |
enum | Thickness { ThicknessThin, ThicknessNormal, ThicknessThick, ThicknessOne = 6, ThicknessTwo, ThicknessThree, ThicknessFour, ThicknessFive, ThicknessSix, ThicknessSeven, ThicknessEight, ThicknessNine } |
the types of target point thickness More... | |
Public Member Functions | |
double | Angle () |
Returns the angle Created in NX6.0.0. | |
NXOpen::NXColor * | Color () |
Returns the color Created in NX6.0.0. | |
double | Height () |
Returns the height Created in NX6.0.0. | |
NXOpen::SelectNXObject * | Inherit () |
Returns the inherit Created in NX6.0.0. | |
NXOpen::SelectNXObject * | Location () |
Returns the location Created in NX6.0.0. | |
void | SetAngle (double angle) |
Sets the angle Created in NX6.0.0. | |
void | SetColor (NXOpen::NXColor *color) |
Sets the color Created in NX6.0.0. | |
void | SetHeight (double height) |
Sets the height Created in NX6.0.0. | |
void | SetWidth (NXOpen::Annotations::TargetPointBuilder::Thickness width) |
Sets the width Created in NX6.0.0. | |
NXOpen::Annotations::TargetPointBuilder::Thickness | Width () |
Returns the width Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Annotations::TargetPoint Annotations::TargetPoint@endlink builder <br> To create a new instance of this class, use @link Annotations::TargetPointCollection::CreateTargetPointBuilder Annotations::TargetPointCollection::CreateTargetPointBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Angle |
0 |
Height |
5 |
Width |
Thin |
Created in NX6.0.0.
the types of target point thickness
double NXOpen::Annotations::TargetPointBuilder::Angle | ( | ) |
Returns the angle
Created in NX6.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Annotations::TargetPointBuilder::Color | ( | ) |
Returns the color
Created in NX6.0.0.
License requirements : None
double NXOpen::Annotations::TargetPointBuilder::Height | ( | ) |
Returns the height
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Annotations::TargetPointBuilder::Inherit | ( | ) |
Returns the inherit
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Annotations::TargetPointBuilder::Location | ( | ) |
Returns the location
Created in NX6.0.0.
License requirements : None
void NXOpen::Annotations::TargetPointBuilder::SetAngle | ( | double | angle | ) |
Sets the angle
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
angle | angle |
void NXOpen::Annotations::TargetPointBuilder::SetColor | ( | NXOpen::NXColor * | color | ) |
Sets the color
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
color | color |
void NXOpen::Annotations::TargetPointBuilder::SetHeight | ( | double | height | ) |
Sets the height
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
height | height |
void NXOpen::Annotations::TargetPointBuilder::SetWidth | ( | NXOpen::Annotations::TargetPointBuilder::Thickness | width | ) |
Sets the width
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
width | width |
NXOpen::Annotations::TargetPointBuilder::Thickness NXOpen::Annotations::TargetPointBuilder::Width | ( | ) |
Returns the width
Created in NX6.0.0.
License requirements : None